OSMOHLR(1)

NAME
OsmoHLR - osmo-hlr

SYNOPSIS
osmo-hlr

DESCRIPTION
OsmoHLR, the Osmocom HLR is a minimal implementation of the Home Location Register, the subscriber database of a 2G/3G cellular network. It stores parameters such as the IMSI and MSISDN of each subscriber, together with the secret key material (Ki, K/OP/OPc) in order to generate authentication vectors.

OsmoHLR does not support the classic TCAP/MAP protocol but rather implements the more light-weight GSUP protocol.

https://osmocom.org/projects/osmo-hlr/wiki/OsmoHLR

-h --help
    This text.

-c --config-file filename
    The config file to use.

-l --database db-name
    The database to use.

-d option --debug=DRLL:DCC:DMM:DRR:DRSL:DNM
    Enable debugging.

-D --daemonize
    Fork the process into a background daemon.

-s --disable-color
    Do not print ANSI colors in the log

-T --timestamp
    Prefix every log line with a timestamp.

-e --log-level number
    Set a global loglevel.

-U --db-upgrade
    Allow HLR database schema upgrades.

-C --db-check
    Quit after opening (and upgrading) the database.

-V --version
    Print the version of OsmoHLR.

  VTY reference generation:

--vty-ref-mode MODE
    VTY reference generation mode (e.g. 'expert').

--vty-ref-xml
    Generate the VTY reference XML output and exit.

COPYRIGHT
Copyright © 2016-2023 by Harald Welte, sysmocom s.f.m.c. GmbH License AGPLv3+: GNU AGPL version 3 or later <http://gnu.org/licenses/agpl-3.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
http://ftp.osmocom.org/docs/latest/osmohlr-usermanual.pdf http://ftp.osmocom.org/docs/latest/osmohlr-vty-reference.pdf

The full documentation for OsmoHLR is maintained as a Texinfo manual. If the info and OsmoHLR programs are properly installed at your site, the command

    info OsmoHLR

should give you access to the complete manual.